FreeMat

- Main Page
- Related Pages

vtkExtractSelectedIds

Section: Visualization Toolkit Graphics Classes

# Usage

vtkExtractSelectedIds extracts a set of cells and points from within a vtkDataSet. The set of ids to extract are listed within a vtkSelection. This filter adds a scalar array called vtkOriginalCellIds that says what input cell produced each output cell. This is an example of a Pedigree ID which helps to trace back results. Depending on whether the selection has GLOBALIDS, VALUES or INDICES, the selection will use the contents of the array named in the GLOBALIDS DataSetAttribute, and arbitrary array, or the position (tuple id or number) within the cell or point array.

To create an instance of class vtkExtractSelectedIds, simply invoke its constructor as follows

      obj = vtkExtractSelectedIds

# Methods

The class vtkExtractSelectedIds has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractSelectedIds class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractSelectedIds = obj.NewInstance ()`
- `vtkExtractSelectedIds = obj.SafeDownCast (vtkObject o)`